function initSender(){
	$.ajax({
		url : userinfo.urlHead + '/teacher/getSender.jsp',
		dataType : 'json',
		data : {
			channelid : userinfo.channelid,
			loginid : userinfo.loginid,
			logintype : userinfo.logintype,
			channeltype : userinfo.channeltype,
			uuid : userinfo.uuid
		},
		type : 'POST',
		success : function(data) {
			localStorage.setItem("senders",JSON.stringify(data));
			$.each(data.educationlist,function(n,item){
				initReceiver(item.senderid);
			});
			$.each(data.schoollist,function(n,item){
				initReceiver(item.senderid);
			});
			$.each(data.gclasslist,function(n,item){
				initReceiver(item.senderid);
			});
			initReceiver(data.senderid);
		}
	});
}
function initReceiver(senderid){
	$.ajax({
		url : userinfo.urlHead + '/teacher/getReceiver.jsp',
		dataType : 'json',
		data : {
			channelid : userinfo.channelid,
			loginid : userinfo.loginid,
			logintype : userinfo.logintype,
			channeltype : userinfo.channeltype,
			uuid : userinfo.uuid,
			senderid : senderid
		},
		type : 'POST',
		success : function(data) {
			localStorage.setItem(senderid+"receivers",JSON.stringify(data));
		}
	});
}

function getSender(failfunc,refreshfunc,forcerefreshfunc){
	var sender = localStorage.getItem("senders");
	if(sender!=null && sender!="" && !forcerefreshfunc){
		sender = eval("("+sender+")");
		
		if(sender.senderid && sender.senderid!=""){
			refreshfunc(sender);
			$.ajax({
				url : userinfo.urlHead + '/teacher/getSender.jsp',
				dataType : 'json',
				data : {
					channelid : userinfo.channelid,
					loginid : userinfo.loginid,
					logintype : userinfo.logintype,
					channeltype : userinfo.channeltype,
					uuid : userinfo.uuid
				},
				type : 'POST',
				success : function(data) {
					localStorage.setItem("senders",JSON.stringify(data));
				}
			});
		}else{
			$.ajax({
				url : userinfo.urlHead + '/teacher/getSender.jsp',
				dataType : 'json',
				data : {
					channelid : userinfo.channelid,
					loginid : userinfo.loginid,
					logintype : userinfo.logintype,
					channeltype : userinfo.channeltype,
					uuid : userinfo.uuid
				},
				type : 'POST',
				success : function(data) {
					refreshfunc(data);
					localStorage.setItem("senders",JSON.stringify(data));
				}
			});
		}
	}else{
		$.ajax({
			url : userinfo.urlHead + '/teacher/getSender.jsp',
			dataType : 'json',
			data : {
				channelid : userinfo.channelid,
				loginid : userinfo.loginid,
				logintype : userinfo.logintype,
				channeltype : userinfo.channeltype,
				uuid : userinfo.uuid
			},
			type : 'POST',
			success : function(data) {
				localStorage.setItem("senders",JSON.stringify(data));
				if(!forcerefreshfunc){
					refreshfunc(data);
				}
			}
		});
	}
}

function getReceiver(senderid,failfunc,refreshfunc,forcerefreshfunc){
	var receiver = localStorage.getItem(senderid+"receivers");
	if(receiver && receiver!="" && !forcerefreshfunc){
		receiver = eval("("+receiver+")");
		refreshfunc(receiver);
			$.ajax({
				url : userinfo.urlHead + '/teacher/getReceiver.jsp',
				dataType : 'json',
				data : {
					channelid : userinfo.channelid,
					loginid : userinfo.loginid,
					logintype : userinfo.logintype,
					channeltype : userinfo.channeltype,
					uuid : userinfo.uuid,
					senderid : senderid
				},
				type : 'POST',
				success : function(data) {
					localStorage.setItem(senderid+"receivers",JSON.stringify(data));
				}
			});
	}else{
		$.ajax({
			url : userinfo.urlHead + '/teacher/getReceiver.jsp',
			dataType : 'json',
			data : {
				channelid : userinfo.channelid,
				loginid : userinfo.loginid,
				logintype : userinfo.logintype,
				channeltype : userinfo.channeltype,
				uuid : userinfo.uuid,
				senderid : senderid
			},
			type : 'POST',
			success : function(data) {
				localStorage.setItem(senderid+"receivers",JSON.stringify(data));
				if(!forcerefreshfunc){
					refreshfunc(data);
				}
			}
		});
	}
}

function initReceiverGClass(){
	$.ajax({
		url : userinfo.urlHead + '/teacher/getReceiverGClass.jsp',
		dataType : 'json',
		data : {
			channelid : userinfo.channelid,
			loginid : userinfo.loginid,
			logintype : userinfo.logintype,
			channeltype : userinfo.channeltype,
			uuid : userinfo.uuid
		},
		type : 'POST',
		success : function(data) {
			localStorage.setItem("receiverGClass",JSON.stringify(data));
		}
	});
}
function getReceiverGClass(failfunc,refreshfunc,forcerefreshfunc){
	var receiverGClass = localStorage.getItem("receiverGClass");
	
	if(receiverGClass!=null && receiverGClass!="" && !forcerefreshfunc){
		receiverGClass = eval("("+receiverGClass+")");
		
		if(receiverGClass.gclassList && receiverGClass.gclassList.length>0){
			refreshfunc(receiverGClass);
			$.ajax({
				url : userinfo.urlHead + '/teacher/getReceiverGClass.jsp',
				dataType : 'json',
				data : {
					channelid : userinfo.channelid,
					loginid : userinfo.loginid,
					logintype : userinfo.logintype,
					channeltype : userinfo.channeltype,
					uuid : userinfo.uuid
				},
				type : 'POST',
				success : function(data) {
					localStorage.setItem("receiverGClass",JSON.stringify(data));
				}
			});
		}else{
			$.ajax({
				url : userinfo.urlHead + '/teacher/getReceiverGClass.jsp',
				dataType : 'json',
				data : {
					channelid : userinfo.channelid,
					loginid : userinfo.loginid,
					logintype : userinfo.logintype,
					channeltype : userinfo.channeltype,
					uuid : userinfo.uuid
				},
				type : 'POST',
				success : function(data) {
					refreshfunc(data);
					localStorage.setItem("receiverGClass",JSON.stringify(data));
				}
			});
		}
	}else{
		$.ajax({
			url : userinfo.urlHead + '/teacher/getReceiverGClass.jsp',
			dataType : 'json',
			data : {
				channelid : userinfo.channelid,
				loginid : userinfo.loginid,
				logintype : userinfo.logintype,
				channeltype : userinfo.channeltype,
				uuid : userinfo.uuid
			},
			type : 'POST',
			success : function(data) {
				localStorage.setItem("receiverGClass",JSON.stringify(data));
				if(!forcerefreshfunc){
					refreshfunc(data);
				}
			}
		});
	}
}
if(userinfo.loginid!=null&&userinfo.loginid!=""){
	top.initFlag = true;
evtelem.bind("onready", initReceiverGClass);
evtelem.bind("onready", initSender);
}
