function initContactor(){
	$.ajax({
		url : userinfo.urlHead + '/getAllContactor.jsp',
		dataType : 'json',
		data : {
			channelid : userinfo.channelid,
			loginid : userinfo.loginid,
			logintype : userinfo.logintype,
			channeltype : userinfo.channeltype,
			uuid : userinfo.uuid
		},
		type : 'POST',
		success : function(data) {
			localStorage.setItem("allcontactor",JSON.stringify(data));
		}
	});
}

function getContactor(failfunc,refreshfunc,forcerefreshfunc){
	var allcontactor = localStorage.getItem("allcontactor");
	if(allcontactor!=null && allcontactor!="" && !forcerefreshfunc){
		allcontactor = eval("("+allcontactor+")");
		refreshfunc(allcontactor);
		$.ajax({
			url : userinfo.urlHead + '/getAllContactor.jsp',
			dataType : 'json',
			data : {
				channelid : userinfo.channelid,
				loginid : userinfo.loginid,
				logintype : userinfo.logintype,
				channeltype : userinfo.channeltype,
				uuid : userinfo.uuid
			},
			type : 'POST',
			success : function(data) {
				localStorage.setItem("allcontactor",JSON.stringify(data));
			}
		});
	}else{
		$.ajax({
			url : userinfo.urlHead + '/getAllContactor.jsp',
			dataType : 'json',
			data : {
				channelid : userinfo.channelid,
				loginid : userinfo.loginid,
				logintype : userinfo.logintype,
				channeltype : userinfo.channeltype,
				uuid : userinfo.uuid
			},
			type : 'POST',
			success : function(data) {
				localStorage.setItem("allcontactor",JSON.stringify(data));
				if(!forcerefreshfunc){
					refreshfunc(data);
				}
			}
		});
	}
}

function initGroup(){
	$.ajax({
		url : userinfo.urlHead + '/getGroupList.jsp',
		dataType : 'json',
		data : {
			channelid : userinfo.channelid,
			loginid : userinfo.loginid,
			logintype : userinfo.logintype,
			channeltype : userinfo.channeltype,
			uuid : userinfo.uuid
		},
		type : 'POST',
		success : function(data) {
			localStorage.setItem("allgroup",JSON.stringify(data));
			
			if(data.tlzList){
				$.each(data.tlzList,function(n,item){
					initDuihua_tlz(item.groupid);
					initGroupmember(item.groupid);
				});
			}
			
		}
	});
}

function getGroup(failfunc,refreshfunc,forcerefreshfunc){
	var allgroup = localStorage.getItem("allgroup");
	if(allgroup!=null && allgroup!="" && !forcerefreshfunc){
		allgroup = eval("("+allgroup+")");
		
		if(allgroup.result){
			refreshfunc(allgroup);
			$.ajax({
				url : userinfo.urlHead + '/getGroupList.jsp',
				dataType : 'json',
				data : {
					channelid : userinfo.channelid,
					loginid : userinfo.loginid,
					logintype : userinfo.logintype,
					channeltype : userinfo.channeltype,
					uuid : userinfo.uuid
				},
				type : 'POST',
				success : function(data) {
					localStorage.setItem("allgroup",JSON.stringify(data));
					if(data.tlzList){
						$.each(data.tlzList,function(n,item){
							initDuihua_tlz(item.groupid);
							initGroupmember(groupid);
						});
					}
				}
			});
		}else{
			$.ajax({
				url : userinfo.urlHead + '/getGroupList.jsp',
				dataType : 'json',
				data : {
					channelid : userinfo.channelid,
					loginid : userinfo.loginid,
					logintype : userinfo.logintype,
					channeltype : userinfo.channeltype,
					uuid : userinfo.uuid
				},
				type : 'POST',
				success : function(data) {
					refreshfunc(data);
					localStorage.setItem("allgroup",JSON.stringify(data));
					if(data.tlzList){
						$.each(data.tlzList,function(n,item){
							initDuihua_tlz(item.groupid);
							initGroupmember(groupid);
						});
					}
				}
			});
		}
	}else{
		$.ajax({
			url : userinfo.urlHead + '/getGroupList.jsp',
			dataType : 'json',
			data : {
				channelid : userinfo.channelid,
				loginid : userinfo.loginid,
				logintype : userinfo.logintype,
				channeltype : userinfo.channeltype,
				uuid : userinfo.uuid
			},
			type : 'POST',
			success : function(data) {
				localStorage.setItem("allgroup",JSON.stringify(data));
				
				if(data.tlzList){
					$.each(data.tlzList,function(n,item){
						initDuihua_tlz(item.groupid);
						initGroupmember(groupid);
					});
				}
				
				if(!forcerefreshfunc){
					refreshfunc(data);
				}
			}
		});
	}
}

function initDuihua_tlz(groupid){
	$.ajax({
		url : userinfo.urlHead + '/getGroupMsgList.jsp',
		dataType : 'json',
		data : {
			channelid : userinfo.channelid,
			loginid : userinfo.loginid,
			logintype : userinfo.logintype,
			channeltype : userinfo.channeltype,
			uuid : userinfo.uuid,
			groupid : groupid,
			maxmsgs : 10,
			gmsgid : 0
		},
		type : 'POST',
		success : function(data) {
			localStorage.setItem("tlzduihua"+groupid,JSON.stringify(data));
		}
	});
}

function getDuihua_tlz(groupid,gmsgid,failfunc,refreshfunc,forcerefreshfunc){
	var tlzduihua = localStorage.getItem("tlzduihua"+groupid);
	if(tlzduihua!=null && tlzduihua!="" && !forcerefreshfunc){
		tlzduihua = eval("("+tlzduihua+")");
		refreshfunc(tlzduihua,gmsgid);
		$.ajax({
			url : userinfo.urlHead + '/getGroupMsgList.jsp',
			dataType : 'json',
			data : {
				channelid : userinfo.channelid,
				loginid : userinfo.loginid,
				logintype : userinfo.logintype,
				channeltype : userinfo.channeltype,
				uuid : userinfo.uuid,
				groupid : groupid,
				maxmsgs : 10,
				gmsgid : gmsgid
			},
			type : 'POST',
			success : function(data) {
				localStorage.setItem("tlzduihua"+groupid,JSON.stringify(data));
			}
		});
	}else{
		$.ajax({
			url : userinfo.urlHead + '/getGroupMsgList.jsp',
			dataType : 'json',
			data : {
				channelid : userinfo.channelid,
				loginid : userinfo.loginid,
				logintype : userinfo.logintype,
				channeltype : userinfo.channeltype,
				uuid : userinfo.uuid,
				groupid : groupid,
				maxmsgs : 10,
				gmsgid : gmsgid
			},
			type : 'POST',
			success : function(data) {
				localStorage.setItem("tlzduihua"+groupid,JSON.stringify(data));
				
				if(!forcerefreshfunc){
					refreshfunc(data,gmsgid);
				}
			}
		});
	}
}

function initGroupmember(groupid){
	$.ajax({
		url : userinfo.urlHead + '/getGroupMember.jsp',
		dataType : 'json',
		data : {
			channelid : userinfo.channelid,
			loginid : userinfo.loginid,
			logintype : userinfo.logintype,
			channeltype : userinfo.channeltype,
			uuid : userinfo.uuid,
			groupid : groupid
		},
		type : 'POST',
		success : function(data) {
			localStorage.setItem("groupmember"+groupid,JSON.stringify(data));
		}
	});
}

function getGroupmember(groupid,failfunc,refreshfunc,forcerefreshfunc){
	var groupmember = localStorage.getItem("groupmember"+groupid);
	if(groupmember!=null && groupmember!="" && !forcerefreshfunc){
		groupmember = eval("("+groupmember+")");
		refreshfunc(groupmember);
		$.ajax({
			url : userinfo.urlHead + '/getGroupMember.jsp',
			dataType : 'json',
			data : {
				channelid : userinfo.channelid,
				loginid : userinfo.loginid,
				logintype : userinfo.logintype,
				channeltype : userinfo.channeltype,
				uuid : userinfo.uuid,
				groupid : groupid
			},
			type : 'POST',
			success : function(data) {
				localStorage.setItem("groupmember"+groupid,JSON.stringify(data));
			}
		});
	}else{
		$.ajax({
			url : userinfo.urlHead + '/getGroupMember.jsp',
			dataType : 'json',
			data : {
				channelid : userinfo.channelid,
				loginid : userinfo.loginid,
				logintype : userinfo.logintype,
				channeltype : userinfo.channeltype,
				uuid : userinfo.uuid,
				groupid : groupid
			},
			type : 'POST',
			success : function(data) {
				localStorage.setItem("groupmember"+groupid,JSON.stringify(data));
				
				if(!forcerefreshfunc){
					refreshfunc(data);
				}
			}
		});
	}
}
if(userinfo.loginid!=null&&userinfo.loginid!=""){
	top.initFlag = true;
evtelem.bind("onready", initContactor);
evtelem.bind("onready", initGroup);
}



























