document
		.write("<script language='javascript' src='/android_asset/www/cordova.js' charset='utf-8'></script>");
document
		.write("<script language='javascript' src='/android_asset/www/localvalues.js' charset='utf-8'></script>");
var areacode = "";
var evtelem = $(this);
var hashistory = true;
var initFlag = false;
var groupMsgFlag = 0;
var devicetype = 3;
var devready=false;
var docready=false;

/**
 * 当前用户通道信息
 */
function UserInfo() {
	UserInfo.prototype.loginid = localStorage.getItem("userinfo.loginid");
	UserInfo.prototype.logintype = localStorage.getItem("userinfo.logintype");
	UserInfo.prototype.channelid = localStorage.getItem("userinfo.channelid");
	UserInfo.prototype.channeltype = localStorage
			.getItem("userinfo.channeltype");
	UserInfo.prototype.userid = localStorage.getItem("userinfo.userid");
	UserInfo.prototype.curversion = localStorage.getItem("userinfo.curversion");
	UserInfo.prototype.preversion = localStorage.getItem("userinfo.preversion");
	if (UserInfo.prototype.newversion == null) {
		UserInfo.prototype.newversion = UserInfo.prototype.curversion;
		localStorage.setItem("userinfo.newversion",
				UserInfo.prototype.curversion);
	}
	UserInfo.prototype.urlHead = localStorage.getItem("userinfo.urlHead");
	UserInfo.prototype.appName = localStorage.getItem("userinfo.appName");
	UserInfo.prototype.dataDir = localStorage.getItem("userinfo.dataDir");
	var msgcomeno = localStorage.getItem("userinfo.newmsgcome");
	if (msgcomeno == null || msgcomeno == 0) {
		UserInfo.prototype.newmsgcome = false;
	} else {
		UserInfo.prototype.newmsgcome = true;
	}
	UserInfo.prototype.uuid = localStorage.getItem("userinfo.uuid");
	UserInfo.prototype.groupnewids = localStorage
			.getItem("userinfo.groupnewids");
	if (UserInfo.prototype.groupnewids == null) {
		UserInfo.prototype.groupnewids = {};
	}
	/**
	 * 设置groupid有新群组消息到达,groupid:群组id,msgtype:消息类别,-1:消息已读,0:普通消息,1:成员私信,2:群组公告
	 */
	UserInfo.prototype.SetGroupNewMsg = function(groupid, msgtype) {
		UserInfo.prototype.groupnewids[groupid.toString()] = msgtype;
		localStorage.setItem("userinfo.groupnewids",
				UserInfo.prototype.groupnewids);
	}

	UserInfo.prototype.setuuid = function(uuid) {
		if (UserInfo.prototype.uuid == uuid) {
			return false;
		}
		localStorage.setItem("userinfo.uuid", uuid);
		UserInfo.prototype.uuid = uuid;
		return true;
	}

	/**
	 * 绑定时重置参数 返回:false,参数没有改变,不必设置;true:参数有变化,设置成功
	 */
	UserInfo.prototype.InitLogin = function(loginid, logintype) {
		if (UserInfo.prototype.loginid == loginid
				&& UserInfo.prototype.logintype == logintype) {
			return false;
		}
		localStorage.setItem("userinfo.loginid", loginid);
		localStorage.setItem("userinfo.logintype", logintype);
		UserInfo.prototype.loginid = loginid;
		UserInfo.prototype.logintype = logintype;
		webfunc.docmd(null, null,
				'{"cmd":"setdatas","values":[{"key":"userinfo.loginid","value":"'
						+ loginid + '"}]}');
		return true;
	}
	/**
	 * 通道初始化时重置参数 返回:false,参数没有改变,不必设置;true:参数有变化,设置成功
	 */
	UserInfo.prototype.InitChannel = function(channelid, channeltype, userid) {
		if (UserInfo.prototype.channelid == channelid
				&& UserInfo.prototype.channeltype == channeltype) {
			return false;
		}
		localStorage.setItem("userinfo.channelid", channelid);
		localStorage.setItem("userinfo.channeltype", channeltype);
		localStorage.setItem("userinfo.userid", userid);
		UserInfo.prototype.channelid = channelid;
		UserInfo.prototype.channeltype = channeltype;
		UserInfo.prototype.userid = userid;
		return true;
	}
	/**
	 * 设置更新版本,一般用于有版本更新时检测版本是否一致
	 */
	UserInfo.prototype.SetNewVersion = function(newversion) {
		if (newversion == null || UserInfo.prototype.newversion == newversion) {
			return false;
		}
		localStorage.setItem("userinfo.newversion", newversion);
		UserInfo.prototype.newversion = newversion;
		return true;
	}
	/**
	 * 设置前一个版本,一般用于在版本更新时优先显示帮助窗口
	 */
	UserInfo.prototype.SetPreVersion = function(preversion) {
		if (preversion == null || UserInfo.prototype.preversion == preversion) {
			return false;
		}
		localStorage.setItem("userinfo.preversion", preversion);
		UserInfo.prototype.preversion = preversion;
		return true;
	}
	/**
	 * 设置当前版本
	 */
	UserInfo.prototype.SetCurVersion = function(curversion) {
		if (curversion == null || UserInfo.prototype.curversion == curversion) {
			return false;
		}
		localStorage.setItem("userinfo.curversion", curversion);
		UserInfo.prototype.curversion = curversion;
		return true;
	}
	/**
	 * 设置当前urlHead
	 */
	UserInfo.prototype.SetUrlHead = function(urlHead) {
		if (urlHead == null || UserInfo.prototype.urlHead == urlHead) {
			return false;
		}
		localStorage.setItem("userinfo.urlHead", urlHead);
		UserInfo.prototype.urlHead = urlHead;
		return true;
	}
	/**
	 * 设置当前应用名称
	 */
	UserInfo.prototype.SetAppName = function(appName) {
		if (appName == null || UserInfo.prototype.appName == appName) {
			return false;
		}
		localStorage.setItem("userinfo.appName", appName);
		UserInfo.prototype.appName = appName;
		return true;
	}
	/**
	 * 设置动态数据路径
	 */
	UserInfo.prototype.SetDataDir = function(dataDir) {
		if (dataDir == null || UserInfo.prototype.dataDir == dataDir) {
			return false;
		}
		localStorage.setItem("userinfo.dataDir", dataDir);
		UserInfo.prototype.dataDir = dataDir;
		return true;
	}
	/**
	 * 设置是否有新消息到达,当进入收件箱后消除
	 */
	UserInfo.prototype.SetNewMsgCome = function(newmsgcome) {
		if (UserInfo.prototype.newmsgcome == newmsgcome) {
			return false;
		}
		if (newmsgcome) {
			localStorage.setItem("userinfo.newmsgcome", 1);
		} else {
			localStorage.setItem("userinfo.newmsgcome", 0);
		}
		UserInfo.prototype.newmsgcome = newmsgcome;
		return true;
	}
}

var userinfo = new UserInfo();

/**
 * 返回桌面
 */
function toHome() {
	if (isExitsFunction('mframe.onTohome')) {
		mframe.onTohome();
	}
	webfunc.tohome();
}

/**
 * 发送系统通知栏消息
 * 
 * @param url
 *            文件下载服务器地址(必填)
 * @param fileName
 *            下载文件名(必填)
 * @param openFlag
 *            下载完成后是否打开文件(必填,true打开,false不打开)
 * @param [successCallback]
 *            成功回调函数
 * @param [failureCallback]
 *            失败回调函数
 * 
 */
function downLoad(url, fileName, openFlag, successCallback, failureCallback) {
	window.fastgoDownLoad.downLoad(url, fileName, openFlag, successCallback,
			failureCallback);
}

/**
 * 转到一个目的地址
 * 
 * @returns
 */
function forwardtourl(toUrl) {
	if (toUrl.substr(0, 5) != 'file:' && toUrl.substr(0, 5) != 'http:') {
		if (toUrl.substr(0, 1) == '/') {
			toUrl = 'file:///android_asset/www' + toUrl;
		} else {
			toUrl = 'file:///android_asset/www/' + toUrl;
		}
	}
	if (isExitsVariable('mframe')) {
		if (mframe.location.href != toUrl) {
			mframe.location.href = toUrl;
		}
	} else if (isExitsVariable('top.mframe')) {
		if (top.mframe.location.href != toUrl) {
			top.mframe.location.href = toUrl;
		}
	} else {
		webfunc.forwardtourl(toUrl);
	}
}

/**
 * 需要在设备就绪时做额外处理的在网页重定义改函数
 */
function onallready() {
};
function docallback(cmddata){
	var tdata = cmddata.replace(/(^\s*)/g, '');
	// webfunc.debug('调试,index.js,oncallback','cmddata=' + cmddata,false);
	var ch = tdata.charAt(0);
	if (ch == '{' || ch == '[') {
		var jsondata = eval("(" + cmddata + ")");
		if (jsondata.cmd == null) {
			onnewmsg(cmddata);
		} else if (jsondata.cmd == "newmsgcome") {// 有新消息
			// webfunc.debug('调试,index.js,oncallback','newmsgcome,' +
			// mframe.location.href,false);
			localStorage.setItem("state.hasnewmsg", 1);
			if (isExitsVariable('mframe')
					&& isExitsFunction('mframe.window.onnewmsg')) {
				mframe.window.onnewmsg(cmddata);
			} else if (isExitsFunction('onnewmsg')) {
				onnewmsg(jsondata.data.toJSONString());
			}
		} else if (jsondata.cmd == "newgroupmsg") {// 有新群组消息
			var groupid = jsondata.groupid;
			var msgtype = jsondata.msgtype;
			if (isExitsVariable('mframe')
					&& isExitsFunction('mframe.window.ongroupmsg')) {
				// webfunc.debug('调试,index.js,oncallback','ongroupmsg,' +
				// mframe.location.href,false);
				mframe.window.ongroupmsg(cmddata);
			} else if (isExitsFunction('ongroupmsg')) {
				ongroupmsg(cmddata);
			} else {
				SetGroupNewMsg(groupid, msgtype);
			}
		} else {
			evtelem.trigger("oncallback");
		}
	} else {
		console.log('cmddata=' + cmddata);
		eval(cmddata);
	}
}
/**
 * 应用反馈
 */
function oncallback(cmddata) {
	setTimeout(docallback(cmddata),1);
};

function onAppPause() {
	localStorage.setItem("state.hasnewmsg", 0);
	if (isExitsVariable('mframe') && isExitsFunction('mframe.window.onpause')) {
		mframe.window.onpause();
	}
}
function onAppResume() {
	console.log('onAppResume,' + window.location.href);
	var hasnewmsg = localStorage.getItem("state.hasnewmsg");
	if (hasnewmsg == 1
			&& window.location.href != 'file:///android_asset/www/popup.html') {
		localStorage.setItem("state.hasnewmsg", 0);
		forwardtourl(msgUrl);
	} else {
		if (isExitsVariable('mframe')
				&& isExitsFunction('mframe.window.onpause')) {
			mframe.window.onpause();
		}
	}
}
var prevtime = undefined;
window.onload = function() {
	document.addEventListener("resume", onAppResume, false);
	document.addEventListener("pause", onAppPause, false);
	document.addEventListener('deviceready', onDeviceReady, false);
}

/**
 * 处理回退按钮
 */
function onBackKeyDown() {
	console.log('onBackKeyDown');
	if (isExitsVariable('mframe')) {
		if (mframe.window.onBackKeyDown()) {
			console.log('mframe.window.onBackKeyDown');
			return;
		}
	} else {
		console.log('no onBackKeyDown,helf=' + mframe.window.location.href);
	}
	if (hashistory) {
		navigator.app.backHistory();
		prevtime = undefined;
	} else {
		if (prevtime == undefined) {
			prevtime = new Date().getTime();
			window.plugins.toast.showShortCenter("再按1次退出", function() {
			}, function() {
			});
		} else {
			var nowtime = new Date().getTime();
			if (nowtime - prevtime < 3000) {
				toHome();
			} else {
				window.plugins.toast.showShortCenter("再按1次退出", function() {
				}, function() {
				});
				prevtime = nowtime;
			}
		}
	}
}

/**
 * 百度推送服务已经就绪
 */
function onChannelReady() {
	userinfo.channelid = localStorage.getItem("userinfo.channelid");
	userinfo.channeltype = localStorage.getItem("userinfo.channeltype");
	userinfo.userid = localStorage.getItem("userinfo.userid");
	console.log('onChannelReady,userinfo.channelid=' + userinfo.channelid
			+ ',userinfo.channeltype=' + userinfo.channeltype
			+ ",userinfo.urlHead=" + userinfo.urlHead);
	$.ajax({
		url : userinfo.urlHead + '/putInChannel.jsp',
		dataType : 'json',
		data : {
			loginid : userinfo.loginid,
			logintype : userinfo.logintype,
			channelid : userinfo.channelid,
			channeltype : userinfo.channeltype,
			userid : userinfo.userid,
			curversion : userinfo.curversion,
			uuid : userinfo.uuid,
			devicetype : devicetype,
			devinfo : device.manufacturer + ',' + device.model + ','
					+ device.platform + ',' + device.version
		},
		type : 'POST',
		success : function(data) {
		}
	});
	if (isExitsVariable('mframe')
			&& isExitsFunction('mframe.window.onChannelReady')) {
		mframe.window.onChannelReady();
	}
}

function getOrientation() {
	var orientation = localStorage.getItem("main.orientation")
	if (orientation == null) {
		orientation = "portrait";
	}
	return orientation;
}

/**
 * Cordova服务已经就绪
 */
function onDeviceReady() {
	console.log('onDeviceReady,window.location.href=' + window.location.href);
	userinfo.setuuid(device.uuid);
	if (window.location.href != 'file:///android_asset/www/popup.html') {
		navigator.splashscreen.show();
		document.addEventListener("backbutton", onBackKeyDown, false);
		console.log('addEventListener,backbutton');
	}
	devready=true;
	setTimeout(onallready,1);
	if(docready){
		if (window.location.href == 'file:///android_asset/www/popup.html') {
			webfunc.regcallback(oncallback);
		}
	}
}
$(document).ready(function(){
	docready=true;
	if(devready){
		if (window.location.href == 'file:///android_asset/www/popup.html') {
			webfunc.regcallback(oncallback);
		}
	}
})
function update(newversion) {
	userinfo.SetNewVersion(newversion);
	if (userinfo.newversion != userinfo.curversion) {
		$("#newVersion").css('display', 'block');
	}
}

function downloadNew() {
	$("#newVersion").css('display', 'none');
	downLoad(userinfo.urlHead + areacode + "/Jytapp.apk", "Jytapp.apk", true,
			null, null);
}
function canceldownload() {
	$("#newVersion").css('display', 'none');
}

// 是否存在指定函数
function isExitsFunction(funcName) {
	console.log('isExitsFunction');
	try {
		if (typeof (eval(funcName)) == "function") {
			return true;
		}
	} catch (e) {
	}
	return false;
}
// 是否存在指定变量
function isExitsVariable(variableName) {
	console.log('isExitsVariable');
	try {
		if (typeof (eval(variableName)) == "undefined") {
			// alert("value is undefined");
			return false;
		} else {
			// alert("value is true");
			return true;
		}
	} catch (e) {
	}
	return false;
}