
(function($) {
    var old = $.fn.swipe;

    $.fn.swipe = function(option) {
        var opt = {
            'left': $.noop,
            'right': $.noop,
            'up': $.noop,
            'down': $.noop
        };

        if ($.type(option) == 'string') {
            switch (option.toLowerCase()) {
                case 'left':
                    if (this.data('opt').left && $.isFunction(this.data('opt').left)) {
                        this.data('opt').left.call(this);
                    }
                    break;
                case 'right':
                    if (this.data('opt').right && $.isFunction(this.data('opt').right)) {
                        this.data('opt').right.call(this);
                    }
                    break;
                case 'up':
                    if (this.data('opt').up && $.isFunction(this.data('opt').up)) {
                        this.data('opt').up.call(this);
                    }
                    break;
                case 'down':
                    if (this.data('opt').down && $.isFunction(this.data('opt').down)) {
                        this.data('opt').down.call(this);
                    }
                    break;
                default:
                    break;
            }

            return this;
        } else if ($.isPlainObject(option)) {
            var clone = {};

            //Сдд
            $.each(option, function(k, v) {
                clone[k.toLowerCase()] = v;
            });

            $.extend(opt, clone);

            return this.each(function(index, ele) {
                //о
                var dis = 120;
                //ԪظֱֵӴʱ
                $(ele).data('opt', $.extend({}, opt)).on('touchstart mousedown',function(e){
                    var ev=e.type=='touchstart'?e.originalEvent.touches[0]:e,
                        startX = ev.pageX,
                        startY = ev.pageY,
                        startLeft = $(this).position().left,
                        startTop = $(this).position().top,
                        start = {
                            left: startLeft,
                            top: startTop
                        },
                        disX = startX - startLeft,
                        disY = startY - startTop;

                    $(document).on('touchmove.swipe.founder mousemove.swipe.founder',function(e){
                        var ev=e.type=='touchmove'?e.originalEvent.touches[0]:e;
                        if (opt.left != $.noop || opt.right != $.noop) {
                            //$(ele).css('left', ev.pageX - disX - $(ele).offsetParent().offset().left + 'px');
                            //$(ele).css('transform','translate3d('+ev.pageX - disX - $(ele).offsetParent().offset().left + 'px, 0, 0)');
                            console.log(currentScene);
                            var a=ev.pageX - disX - $(ele).offsetParent().offset().left;
                            if(currentScene==1){
                                if(a>0){
                                    if(a>=20){
                                        $(ele).css('transform','translate3d(60px, 0, 0)');

                                    }else{
                                        $(ele).css('transform','translate3d('+a*3+ 'px, 0, 0)');

                                    }
                                }
                            }
                            console.log($(ele).children().length);
                            if(currentScene==$(ele).children().length){
                                if(a<0){
                                    if(a<-20){
                                        $(ele).css('transform','translate3d(-50px, 0, 0)');

                                    }else{
                                        $(ele).css('transform','translate3d('+a*30+ 'px, 0, 0)');

                                    }
                                }

                            }
                        }
                        if (opt.up != $.noop || opt.down != $.noop) {
                            //$(ele).css('top', ev.pageY - disY - $(ele).offsetParent().offset().top + 'px');
                            //$(ele).css('transform','translate3d('+ev.pageY - disY - $(ele).offsetParent().offset().top + 'px, 0, 0)');
                            //$(ele).css('transform','translate3d('+a+ 'px, 0, 0)');
                        }

                        e.preventDefault();
                    });

                    $(document).on('touchend.swipe.founder mouseup.swipe.founder',function(e){
                        var ev=e.type=='touchend'?e.originalEvent.changedTouches[0]:e,
                            endX = ev.pageX,
                            endY = ev.pageY,
                            x = Math.abs(endX - startX),
                            y = Math.abs(endY - startY),
                            direction = null;

                        //ָdisС⣬о
                        direction = x >= y ? (endX < startX ? (Math.abs(endX - startX) > dis ? 'left' : null) : (Math.abs(endX - startX) > dis ? 'right' : null)) : (endY < startY ? (Math.abs(endY - startY) > dis ? 'up' : null) : (Math.abs(endY - startY) > dis ? 'down' : null));
                        switch (direction) {
                            case 'left':
                                if (opt.left && $.isFunction(opt.left)) {
                                    opt.left.call(ele);
                                }
                                break;
                            case 'right':
                                if (opt.right && $.isFunction(opt.right)) {
                                    opt.right.call(ele);
                                }
                                break;
                            case 'up':
                                if (opt.up && $.isFunction(opt.up)) {
                                    opt.up.call(ele);
                                }
                                break;
                            case 'down':
                                if (opt.down && $.isFunction(opt.down)) {
                                    opt.down.call(ele);
                                }
                                break;
                            default:
                                //λ
                                //$(ele).animate({
                                //    'left': start.left + 'px',
                                //    'top': start.top + 'px'
                                //});
                                $(ele).css('transform','translate3d(0, 0, 0)');
                                break;
                        }

                        $(document).off('.swipe.founder');
                    });
                });
            });
        } else {
            throw new Error('%E5%8F%82%E6%95%B0%E9%94%99%E8%AF%AF');
        }
    };
    $.fn.swipe.noConflict = function() {
        $.fn.swipe = old;
        return this;
    };
})(jQuery);