function getComment(obj){
	//set default arguments
	obj  = obj ?  obj : {};
	obj.limit = obj.limit ? obj.limit : 12;
	obj.init=obj.init ? obj.init : false;
	obj.tag= obj.tag ? obj.tag :  "#r_audio";
	
	if( !$(obj.tag).attr("data-start") &&  !obj.init){return false;}	
	
	if( !$(obj.tag).attr("data-status")) {return false;} 
	
	var cmid = $('#addcomment input[name="cmid"]').val();
	
	
	
	$.ajax({
		type : 'post',
		url :  '/dealfunc/comment.php',
		dataType : 'json',
		data : {action: 'get', cmid : cmid, twoCol: $("body").attr("data-wide"), start:obj.start, limit:obj.limit},
		success:function(data){			
			if(obj.init){
				$(obj.tag).append(data.html);
				var pane =$(obj.tag);
				pane.jScrollPane({autoReinitialise: true}).bind(
					'jsp-scroll-y',
					function(event, scrollPositionY, isAtTop, isAtBottom)
					{		
						//alert($(obj.tag).attr("data-status"));
						if(isAtBottom){
							$(obj.tag).attr("data-status", false); //prevent  send  second
							getComment({
								init : false,
								start : data.start
							});							
						}
					}
				);
				//var contentPane = pane.data('jsp').getContentPane();				
			}else{
				console.log("YYYYYYYYY");
				$(obj.tag).find(".jspPane").append(data.html);
			}
			if(data.start){
				$(obj.tag).attr("data-start", data.start);
			}else{
				$(obj.tag).attr("data-start", "");
			}		
			
			$(obj.tag).attr("data-status", true); //allow  send  second
			
		}
	});

}


/*截图完毕的回调函数*/
function screenShotHideCallBack(message){
	if(message.picUrl){				
			$(".pic img").attr("src", message.picUrl).addClass("enabled").slideDown();
			$("#playtime").val(parseInt(message.shotTime));
	}else{	
			$(".pic img").show(); //显示图片
			alert("截图失败,请重试！");
	}	
}

function pointMessageData(message){
	$("#vmsMarkInfo").html(message.description).attr('data-time', message.time);
}

function Urlscreenshot(imgType,width,height,quality){
	var data={};
	if(playerReady){
		var player=document.getElementById('MyVideoPlayer');
		  player.Urlscreenshot(imgType,width,height,quality);
		  data.status=true;
	}else{
		data.status=false;
	}
	return data;
}



function seek(time){
	if(playerReady){
	   var player = document.getElementById('MyVideoPlayer');
	    player.Seek(time);
	   }
	} 

function getAllPointMessage(){
	var data={};
	if(playerReady){
		var player=document.getElementById('MyVideoPlayer');
		   var  pointMessage= player.GetMessageData();		
		  data.status=true;
		  data.pointMessage=pointMessage;
	}else{
		data.status=false;
	}
    return data;
}

function formatDuration(duration){
	var seconds, minutes, hours;		
	 hours = Math.floor(duration / 3600);
	 hours  = padding(hours);
	 seconds =  duration % 3600;
	 minutes = Math.floor(seconds / 60);
	 minutes  = padding(minutes);
	 seconds = duration % 60;
	 seconds  =   padding(seconds);

	 if(duration < 3600){
		return  minutes + ":"+ seconds;
	 }else{
		return  hours +":"+minutes + ":"+ seconds;
	 }

}
function padding(i){
	return i< 10  ? '0' + i : i;		
}




$(document).ready(function(){

	//load comments
	getComment({init:true});

	//init r_bg scrollPane
	$('#r_bg').jScrollPane();
	
	$(".live_m span").click(function(){
		if($(this).attr("data-id")){
			$("#"+$(this).attr("data-id")).show().siblings().hide();
			$(this).addClass("active").siblings().removeClass("active");
		}
	});
	
	//prevent FF cached disabled
	$(".live_send").attr("disabled", false);
	
	$(".play .cut").click(function(){
		//var  screenshot= screenShot();
		//var player=document.getElementById('MyVideoPlayer');
		//if(!player){return false;}
		//var screenStatus = Urlscreenshot(1, 150, 86,100);	
		//if(!screenStatus.status){return false;}	
		var screenStatus = Urlscreenshot(1, 79, 45,50.0);
		if(!screenStatus || !screenStatus.status){return false;}
		$(".pic img").hide(); //隐藏图片
		$(this).parent().parent().find(".wz").removeClass("enabled");//文字评论功能关闭
	});
	
	$(".play .wz").click(function(){
		$(this).addClass("enabled");
		$(".pic img").removeClass("enabled");//截图评论功能关闭
	});
	
	//
	$(".upload  a").first().toggle(function(e){
		e.preventDefault();
		var pointData = getAllPointMessage();
		//if(!pointData || !pointData.status){return false;}
		$("#vmsMarkInfoAll").show().html();
		if(pointData.pointMessage){
			$.each(pointData.pointMessage,function(idx,item){ 
			 // alert(item.description);
			  $("#vmsMarkInfoAll").append('<div class="vms-mark-item"><span class="vms-mark-time">'+ formatDuration(parseInt(item.time)) + '</span><div class="vms-mark-main">'+item.description + '</div></div>');
			});  
		}
	},function(e){
		e.preventDefault();
		$("#vmsMarkInfoAll").hide();
	});	
	
});